发行说明:记录每次SDK更新的说明,最新版本的SDK包含以前所有版本的更新内容。
---------------------------------------------------------------------
【版本:v0.9.265】
涉及产品：HPAS
    新增挂、卸载CDS接口
涉及产品: BOS
    copy object接口增加version id字段, 用于恢复对象的指定历史版本
【版本:v0.9.264】
涉及产品: CCE
    新增集群配置落盘加密，新增集群更新 APIServer 证书，新增集群修改删除保护，新增集群查询时间步骤，更新集群配置参数 
【版本:v0.9.263】
涉及产品: HPAS
    实例创建、查询、修改支持Jumbo功能
涉及产品: BCC
    实例关联操作标签
    查询可关机不计费列表支持传多个实例id
    支持批量重启
涉及产品: BLB
    应用型BLB监听器相关接口新增description、additionalAttributes字段;
    UserServiceAddAuth添加对service参数为空时检验;
涉及产品: IPV6GATEWAY
    修复IPv6网关相关接口DELETE操作错误携带Body的问题;
    CreateIPv6GatewayArgs新增ResourceGroupId和DeleteProtect字段;
    ListIPv6GatewayResult新增DeleteProtect字段;
    UpdateIPv6GatewayRateLimitRuleArgs的IngressBandwidthInMbps和EgressBandwidthInMbps改为指针类型,解决零值歧义问题;
    新增UpdateIPv6GatewayDeleteProtect接口,支持更新IPv6网关释放保护开关
涉及产品: EIP
    新增创建EIP资源转移接口
    新增取消EIP资源转移接口
    新增接受EIP资源转移接口
    新增拒绝EIP资源转移接口
    新增查询EIP资源转移列表接口
涉及产品: privateZone(localDns)
    ListRecord接口新增Rr,Type,Value,SearchMode查询参数
涉及产品: BOS
    三步上传的封装函数默认设置x-bce-content-crc32
    生成预签名url检查对object参数有效性
涉及产品: VPN
    IPsecVPN隧道接口新增cgwId参数
涉及产品: CLOUDFLOW
    新增cloudflow open api
涉及产品: BEC
    默认EndPonit更正
涉及产品：PEERCONN
    创建对等连接接口入参新增deleteProtect字段
    更新对等连接接口入参新增clientToken字段
    新增预付费对等连接退订接口
涉及产品：VPC
    创建专线网关接口增加resourceGroupId参数
    查询详情专线网关接口增加enableIpv6、ipv6LocalCidrs和healthCheckPort参数
    查询专线网关列表：EtGateway模型增加enableIpv6、ipv6LocalCidrs和tags字段
    更新专线网关接口增加enableIpv6、ipv6LocalCidrs参数
    model.go下UpdateIpGroupArgs、UpdateIpSetArgsName/Description 改为 *string + omitempty
    template.go - DeleteIpSet、DeleteIpGroup 移除 WithBody(args)
    新增参数模版接口示例文件
    创建网络探测：1.将DestPort类型从string改为int 2. 修正错误提示信息
    更新网络探测：1.将DestPort类型从string改为int
涉及产品: ENDPOINT
    CreateEndpointArgs新增ResourceGroupId字段，支持创建服务网卡时指定资源组;
    UpdateEndpointArgs的Name和Description字段添加omitempty tag，解决零值误传问题，避免未设置字段被误更新为空字符串;
【版本:v0.9.262】
涉及产品: CCE
    节点组配置参数新增：IAM角色绑定，自愈规则配置，IG安全组类型，自定义节点名称开关/规则字段;
    节点配置参数新增：Kata 容器支持，实例级IAM角色，部署集，GPU驱动检查，GPU工具版本，缩容保护字段;
    ListInstanceGroups: 新增 keywordType/keyword/autoscalerEnabled/chargingType 查询参数
    CreateScaleUpInstanceGroupTask: 支持 upReplicas 增量扩容参数
    新增节点组查询升级工作流接口，新增节点组查询可升级组件接口，新增节点组更新升级工作流接口，新增节点组创建升级工作流接口
【版本:v0.9.261】
涉及产品: CCR
    新增命名空间、镜像仓库、镜像版本、机器人账号等模块管理接口
涉及产品: AIHC
    开发机新增环境变量、工作目录以及启动命令功能参数
涉及产品:VPC
    主备切换接口中Query参数修改为switchRouteHA;
    查询路由表接口响应中支持name字段;
    EnterpriseSecurityGroup增添updatetime字段;
    删除企业安全组规则增添clientToken参数字段;
    更新企业安全组规则增添clientToken参数字段，sourcePortRange字段，localIp，remoteIpSet，remoteIpGroup字段；
    UpdateEniArgs字段Name和Description写为指针类型EniInstance添加InstanceType字段。
涉及产品:BLB
    更新普通型blb实例接口支持AllocateIpv6字段;
    CreateTCPListenerArg 新增HealthCheckType字段;
    CreateUDPListener移除HealthCheckString的强制校验;
    CreateHTTPListener新增AdditionalAttributes字段;
    CreateHTTPSListener新增AddtionalAttributes字段;
    CreateSSLListenerArgs 新增 HealthCheckType和TcpSessionTimeout字段;
    DescribeTCPListeners 接口 返回TCPListenerModel新增 HealthCheckType 字段;
    DescribeHTTPSListeners HTTPSListenerModel新增 AdditionalAttributes字段;
    DescribeSSLListeners 接口返回 SSLListenerModel新增HealthCheckType字段;
    DescribeAllListeners 接口 AllListenerModel 新增 AdditionalAttributesModel字段;
    UpdateTCPListener 接口 UpdateTCPListenerArgs 新增 HealthCheckType字段;
    UpdateHTTPListener接口 UpdateHTTPListenerArgs 新增 AdditionalAttributes字段;
    UpdateHTTPSListener 接口 UpdateHTTPSListenerArgs新增 AdditionalAttributes字段;
    UpdateSSLListener 接口 UpdateSSLListenerArgs新增HealthCheckType字段;
    完善应用型lb的创建时支持的参数;增加list和detail的响应参数。
涉及产品: BLS
    创建日志集接口新增支持冷热存储以及索引等参数
    更新日志集接口新增支持冷热存储等参数
涉及产品: BCC
    创建虚机支持额外IO参数
【版本:v0.9.260】
涉及产品: EIP
    申请EIP接口中的CreateEipArgs新增deleteProtect字段
    查询EIP列表接口中ListEipArgs新增Name字段
    新增更新EIP释放保护开关接口
    查询用户带宽包列表信息 - 查询条件新增type字段
    新增带宽包询价接口
涉及产品: VPC
    新增GetResourceIp接口，查询VPC内产品占用IP
    VPC结构体新增Ipv6Cidr字段
    UpdateVPCArgs/UpdateSubnetArgs的EnableIpv6改为指针类型，解决零值问题
    更新子网接口 EnableIpv6字段修改为指针类型
    查询预留网段列表接口 ipReserve结构体可导出
    查询预留网段列表接口IpVersion字段类型改为string
涉及产品: BCC
    增加自助诊断接口
    非预期事件查询增加磁盘信息返回
涉及产品: BOS
    新增bce body的构造方法
【版本:v0.9.259】
涉及产品: ET
    新增专线通道支持BFD功能
涉及产品：BCC
    创建磁盘支持共享快照ID
    镜像列表查询新增ImageType类型
    实例列表/详情返回计费状态字段
涉及产品：CDS
    磁盘变配支持调整性能
涉及产品：HPAS
    hpas支持ehcClusterId筛选
涉及产品: BOS
    值为空字符串的header不参与签名计算
    lifecycle字段补齐
【版本:v0.9.258】
涉及产品: CCE
    增加节点组配置参数
【版本:v0.9.257】
涉及产品: IAM
    UserModel增加JoinTime字段，表示用户加入组时间
    PolicyModel增加AttachTime字段，表示策略关联时间
涉及产品: CDN
    支持对条件源站配置与条件缓存参数过滤规则进行配置与查询
    支持源站配置的设置与查询
涉及产品: BOS
    put/uploadpart接口默认不计算MD5，采用crc64校验数据
    request body支持Seek方法，用于错误重试
    HTTPClient redirect默认关闭
    条件读写header功能补齐
涉及产品:CDS
    增加创建CDS支持随实力释放相关字段
涉及产品：BCC
    增加后付费eip随实例释放字段
【版本:v0.9.256】
涉及产品: VPC
    查询NAT列表，支持ipVersion字段标识
涉及产品: EIP
    EIPGROUP详情原生EIP非原生EIP字段信息支持omitempty
涉及产品: IAM
    增加UpdateUserLoginProfileV2函数支持布尔类型参数不设置值
【版本:v0.9.255】
涉及产品: BCC
    添加keepImageLogin参数
涉及产品：HPAS
    实例列表接口返回增加让rdma网卡mac和网关ip    
涉及产品: BOS
    自定义HTTPClient问题修复
【版本:v0.9.254】
涉及产品: BOS
    RestoreObject支持LowCost取回
涉及产品: EIP
    EIPGROUP详情返回原生和非原生EIP信息
涉及产品: CCE
    增加修改节点组配置接口
    增加节点组详情接口返回安全组字段
涉及产品：SMS
    增加用户量短信流量包查询接口
【版本:v0.9.253】
涉及产品:BILLING
    账单查询接口新增 价格优惠promotionPrice 字段
涉及产品:BCC
    实例批量操作接口增加返回值
涉及产品: IAM
    UpdateUserArgs增加Enabled字段，更新用户状态
涉及产品：HPAS
    查询hpas套餐支持返回CPU\内存
【版本:v0.9.252】
涉及产品: BOS
    put/copy object接口增加CannedAcl参数
涉及产品: IAM
    userModel增加contact字段，表示联系人信息，更新用户接口可修改该字段
    UpdateUserArgs增加Enabled字段，更新用户状态
涉及产品: HPAS
     新增HPAS实例续费接口
【版本:v0.9.251】
涉及产品: BOS
    删除基于copy请求的SetObjectMeta接口
    object为“v1”时不允许生成预签名URL
    ParallelUpload上传空文件问题修复
    BucketAcl字段补齐
涉及产品: EIP
    eip列表接口返回支持BwShortId
    绑定eip接口入参支持InstanceIp
涉及产品: IAM
    GetUserResult 添加LastLoginTime字段，表示子用户最后登录时间
【版本:v0.9.250】
涉及产品: IAM
    LoginProfileModel新增PasswordExpireDate字段，表示子用户密码过期时间
涉及产品:HPAS
    新增HPAS预留实例劵修改名字接口，HPAS预留实例劵修改可用区，EHC集群接口
    HPAS预留实例券接口返回参数新增ehc集群id,ehc集群名称
【版本:v0.9.249】
涉及产品: AIHC
    训练任务支持自动删除任务功能
涉及产品: BOS
    object为空时不允许生成预签名URL
【版本:v0.9.248】
涉及产品: BCC
    查询套餐接口修改返回值类型
【版本:v0.9.247】
涉及产品: BOS
    事件通知参数准对视频/图片审核增加quota参数
涉及产品: BCT
    新增BCT事件查询v2接口
【版本:v0.9.246】
涉及产品: BOS
    事件通知参数新增contentType字段
    支持每个client使用独立的http client
    支持单client限速
涉及产品: BEC
    虚机详情、列表接口返回新增networkConfig、userData信息
【版本:v0.9.245】
涉及产品: HPAS
    Hpas列表返回新增磁盘信息
涉及产品: CDS
    CDS列表、详情新增productCategory字段
    磁盘创建进度和快照进度变配查询
涉及产品: BOS
    copy object增加对response body中错误码的解析处理
    parallel copy接口已知问题修复
【版本:v0.9.244】
涉及产品:AIHC
    代码文件上传支持queueID
    修复查询日志需要 queueID bug
【版本:v0.9.243】
涉及产品:ET
    专线通道信息返回BGP状态
涉及产品:IAM
    修复用户登录信息反序列化失败bug
【版本:v0.9.242】
涉及产品:MCP
    获取转码信息接口新增output字段
涉及产品:BOS
    事件通知配置参数补齐
涉及产品:AIHC
    AIHC v2 接口添加 version
涉及产品:BILLING
    修复资源月账单TEX字段序列化bug
【版本:v0.9.241】
涉及产品:AIHC
    AIHC 创建训练任务新增自定义创建人Query参数，用于bhcmp资源池
    AIHC 新增 v2 接口，支持资源池列表、概览、队列列表、详情查询
    AIHC 创建训练任务支持节点亲和性配置
设计产品:HPAS
    HPAS支持数据注入
    HPAS支持同时购买
    HPAS支持指定vpcId、privateIps查询
涉及产品:BOS
    自定义meta的header转小写去重
    config增加NoVerifySSL, RetryPolicy, HTTPClient参数, 允许用户自定义
    支持通过Copy Update设置对象元数据
【版本:v0.9.240】
涉及产品:BLB
    APPBLB IP成员权重零值问题修复
【版本:v0.9.239】
涉及产品:HPAS
    新增HPAS查询套餐列表
涉及产品:EIP
    新增EIP后付费转预付费
涉及产品:BEC
    新增获取所在节点的BEC虚机列表
涉及产品:BOS
    支持OptionsObject
涉及产品:BLB
    修复BLB,APPBLB添加与修改RS权重零值问题
【版本:v0.9.238】
涉及产品:BCC
    支持异步任务查询
涉及产品:BOS
    支持桶配额,用户配额,合规保留,请求者付费,PostObject
涉及产品:BILLING
    增加查询拆分项、成本分摊、成本拆分账单相关接口
【版本:v0.9.237】
涉及产品:BEC
    修复虚机列表接口subnet返回字段错误问题
涉及产品:MCP
    转码增加Meta data参数
涉及产品:BOS
    支持bucket清单功能
    应答结果字段补充
【版本:v0.9.236】
涉及产品:BOS
    支持object expires字段的API补充
    三步copy支持参数补充
    上传对象相关接口支持设置Content-Encoding字段
    补充功能字段, 增加Option传参机制
涉及产品:HPAS
    预留实例券增加抵扣信息查询
    镜像列表返回增加imageSizeInGB、minDiskInGB字段
涉及产品:AIHC
    新增数据集相关接口
【版本:v0.9.235】
涉及产品:BOS
    支持配置HTTP请求的各类超时参数
涉及产品:BLS
    修复日志查询接口isTruncated字段返回错误问题
【版本:v0.9.234】
涉及产品:AIHC
    训练任务支持CFS存储
涉及产品:HPAS
    新增HPAS支持密钥对重装
    新增HPAS库存查询接口
涉及产品:BOS
    支持object expires字段
    支持参数控制启用连接复用
涉及产品:BLB
    变更后付费立即生效
    普通型BLB UDP监听器新增健康检查协议和健康检查端口字段
涉及产品:CFC
    新增ListLayerVersions接口
    变更创建函数数据接口参数中LayerList默认json化字段名
涉及产品:CCE
    节点组支持纳管HPAS实例
【版本:v0.9.233】
涉及产品:BOS
    list buckets接口返回结果中增加enableMultiAZ字段
涉及产品:CFC
    查询函数等增加函数预留并发数等字段
    新增层增删改查接口
    新增服务增删改查接口
涉及产品：BCC
    新增快照共享接口
    新增取消快照共享接口
    新增查询共享快照列表接口
涉及产品:CCE
    新增修改节点组节点缩容保护接口
【版本:v0.9.232】
涉及产品：HPAS
    新增HPAS支持密钥对创建
涉及产品：BCM
    新增事件报警历史列表查询接口
涉及产品:VPC
    Dhcp信息返回DomainName字段
涉及产品:BOS
    将bce.Body改造为TeeReader类型实现sdk侧边发送数据,边计算crc32c
    修复BosContext中Bucket字段线程不安全的问题
【版本:v0.9.231】
涉及产品:HPAS
    新增HPAS变更子网接口
    新增HPAS变更VPC接口
    新增HPAS变更安全组接口
涉及产品：BOS
    支持sdk侧计算crc32c，并与服务端返回的crc32c比较，端到端校验数据正确性
涉及产品:EIP
    查询EIP实例增加线路类型等字段
【版本:v0.9.230】
涉及产品：VPC
    nat添加公网/内网端口范围相关字段
涉及产品: BCC
    增加事件中心相关接口
涉及产品：AIHC
    百舸开发机 sdk 上线
【版本:v0.9.229】
涉及产品：HPAS
    新增获取vnc链接接口
涉及产品：CCE
    新增节点组添加已有节点保留磁盘信息字段
涉及产品：VPC
    ACL详情添加IpVersion字段
    安全组规则添加源安全组ID字段
    企业安全组规则添加参数模版相关字段
【版本:v0.9.228】
涉及产品:BCC
    实例续费支持数据盘自定义续费时长
    实例model增加Application字段
涉及产品:CDS
    CDS续费支持对齐BCC续费时长
涉及产品:BOS
    BOS支持context中止请求
涉及产品:EIP
    根据eipIds查询EIP列表支持GO SDK
    IPv6 EIP支持GO SDK
涉及产品:VPC
    vpc/子网/安全组列表查询支持ids过滤
涉及产品:AIHC
    在线服务部署更新v2版本sdk
【版本:v0.9.227】
涉及产品:BCC
    通过规格创建虚机创建参数新增弹性网卡id列表参数
    查询实例套餐规格接口增加可挂载的CDS数量
涉及产品:BEC
    更新虚机实例创建、重装、查询返回等参数，支持Tag、预付费自动续费、自定义脚本、GPU驱动安装
    新增VPC、子网、路由表模块相关接口
    部署集错误修正
涉及产品:BOS
    copy object接口不添加content-length请求头
【版本:v0.9.226】
涉及产品:BOS
    上传对象相关接口支持计算crc32c
涉及产品:BCC
    加密磁盘详情支持返回密钥信息
涉及产品:EIP
    DDOS OpenAPI支持GO SDK
【版本:v0.9.225】
涉及产品:BOS
    list buckets结果增加lccLocation和enableDedicated字段
涉及产品:CCE
    修复编译问题
【版本:v0.9.224】
涉及产品:BCC
    磁盘列表接口支持多磁盘ID过滤
    部署集列表接口支持多个部署集ID过滤
涉及产品:BLB
    应用型BLB监听器支持修改转发策略的权重和描述信息
【版本:v0.9.223】
涉及产品:BLS
    日志列表接支持指定BindingResources过滤
    日志列表支持批量查询接口
涉及产品:BOS
    修复tagging bug
涉及产品:AIHC
    支持BLS日志查询
涉及产品:CDN
    创建域名时支持同时配置资源的缓存过期规则
【版本:v0.9.222】
涉及产品:BOS
    增加多az相关字段
涉及产品:HPAS
    创建接口支持指定内网ip和applicationName
    新增修改实例名称和应用名称接口
    新增HPAS自定义镜像相关接口
【版本:v0.9.221】
涉及产品:BOS
    多版本list object接口兼容
涉及产品:HPAS
    查询接口支持返回支持Rdma网卡信息;增加辅助Ipv6/v4相关接口;增加Bymaker查询Hpas实例
涉及产品:BLS
    支持绑定云产品
【版本:v0.9.220】
涉及产品:BOS
    支持多版本；putBucket支持设置lcc参数
涉及产品:AIHC
    优化查询、创建、停止、删除、更新等训练任务的函数入参；训练任务新增容错参数; 支持代码文件上传
【版本:v0.9.219】
涉及产品:BOS
    copy object支持object tagging；自定义域名自动填充
【版本:v0.9.218】
涉及产品:BCC
    支持实例进入退出救援模式接口；支持实例加入，移出，替换安全组操作
涉及产品:BLB
    修复应用型BLB企业安全组规则model中"priority"字段类型错误
涉及产品:MCP
    补充图片数字水印接口，补充视频数字水印接口字段
涉及产品:BLS
    日志查询接口支持设置采样率
【版本:v0.9.217】
涉及产品:BCC
    创建实例支持CDS加密
涉及产品:NAT
    支持增强型NAT
【版本:v0.9.216】
涉及产品:HPAS
    修改创建券、查询券、查询镜像列表等接口的参数命名
涉及产品:BCC
    实例列表接口支持fuzzyInstanceName参数
【版本:v0.9.215】
涉及产品:BCC
    变配相关接口新增是否开启Jumbo帧参数、创建相关接口支持传递超线程和numa参数
涉及产品:CDN
    新增查询海外全部和海外国家维度的流量、pv、状态码方法
涉及产品:AIHC
    增加查询训练任务列表、创建训练任务、查询训练任务详情、更新训练任务、停止训练任务、删除训练任务、查询训练任务事件、查询训练任务日志、查询训练任务Pod事件、查询训练任务监控、查询训练任务所在节点列表、获取训练任务WebTerminal地址的方法。
涉及产品:HPAS
    增加创建实例、创建券、查询实例、查询券、查询镜像列表、关闭实例、启动实例、重启实例、改密实例、重装实例等操作的方法
【版本:v0.9.214】
涉及产品:AIHC
    增加资源池列表，资源池详情，节点列表，队列列表和队列详情的方法
涉及产品:VPC
    查询安全组列表API新增入参字段securityGroupId
涉及产品:BOS
    sts client生成签名时，签名时间由client初始化的时间改为请求时间

【版本:v0.9.213】
涉及产品:MCP
    font补充color参数
涉及产品:DDC
    实例变配新增参数BufferPoolStepSize，设置步幅大小

【版本:v0.9.212】
涉及产品:BLB
    BLB 应用型BLB-IP组开放协议支持健康检查协议切换
涉及产品:MCP
    MCP Insert text修改为指针类型

【版本:v0.9.211】
涉及产品:DDC
    创建实例支持设置参数、备份列表及binlog备份列表新增返回值、新增多实例批量修改的参数的接口
涉及产品:CCE
    支持申请 CCE 集群临时授权
涉及产品:BLB
    BLB支持计费变更、变配。HTTPS类型监听器支持扩展域名
